@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.tradeContainer {
  margin-top: -20px;
  @include font($fontGotham, 16px, 19.2px);
  color: $blackColor;
}

.tradeHeader {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;

    & .tradeClose {
      margin-right: 50px;
      color: $greyText;
      font-size: 16px;
      transition: color 0.3s;

      &:hover {
        color: $primaryColor;
      }
    }

    & .tradeRequest {
        width: 208px;
        height: 50px;
        padding-top: 8px;
        text-align: center;
        background: $primaryColor;
        border-radius: 10px;
        color: #fff;
        font-size: 16px;
        transition: background-color 0.3s;

        &:hover {
            background: #cdd9f8;
        }

        &:active {
            box-shadow: inset 1px 1px 2px #fff;
        }
    }

    &.yourShiftHeader {
      padding: 0 0 15px 0;
      margin-right: 35px;
      margin-left: 35px;
      border-bottom: 1px solid $lightBlueColor;
    }

    & .tradeInfo {
        display: flex;
        align-items: center;
        div {
          width: 21px;
          height: 21px;
          border-radius: 50%;
          font-size: 12px;
          border: 1px solid #B3C1E3;
          text-align: center;
          color: $greyColor;
          margin-left: 15px;
        }
    }
}

.tradeHeading {
    @include font($fontGotham, 24px, 28.8px);
    color: $blackColor;
}

.popover {
    background: #FFFFFF;
    padding: 12px 15px;
    @include font($fontGothamLight, 14px, 16.8px);
    border-radius: 5px;
    color: $greyText;
    filter: drop-shadow(0px 0px 25px rgba(32, 84, 215, 0.1));
}

.gridContainer {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 2;
    gap: 25px;
    margin-top: 17px;

      & .tradeCard {
        position: relative;
        border-radius: 20px;
        padding: 25px 0;
        filter: drop-shadow(0px 0px 25px rgba(32, 84, 215, 0.1));
        background-color: $background;
        border: 1px solid $lightBlueColor;

        & .blur {
          height: 60px;
          width: 100%;
          position: absolute;
          bottom: 0px;
          left: 0px;
          background: linear-gradient(180deg, rgba(250, 251, 255, 0) 0%, #FAFBFF 100%);
          pointer-events: none;
        }
      }

    & .wideCard {
        grid-column-start: 1;
        grid-column-end: 3;
        padding: {
            left: 35px;
            right: 35px;
        };
    }

    & .weekWrapper {
        display: flex;
        align-items: center;
        padding-bottom: 24px;
        border-bottom: 1px solid $lightBlueColor;
        h4 {
            margin-bottom: -10px;
        }
    }

    & .dayContainer {
        display: grid;
        grid-template-columns: repeat(7, minmax(0,1fr));
        column-gap: 25px;
        row-gap: 15px;

        & .dayName {
            display: flex;
            padding-top: 20px;
            justify-content: center;
            font-size: 14px;
            color: #6b7daa;
        }

        & .dayCell {
            display: flex;
            height: 60px;
            border: 1px solid $greyColor;
            border-radius: 10px;

            & .date {
              flex: 1;
              text-align: center;
              line-height: 65px;
              font-size: 28px;
              border-right: 1px solid $greyColor;
              color: $greyText;
              opacity: 0.5;
            }

            & .dateShift {
                flex: 1;
                font-size: 14px;
                cursor: pointer;
                text-transform: uppercase;
                border-right: 1px solid $greyColor;
                text-align: center;
                padding: 10px 1% 11px;
                opacity: 0.5;

                &:hover {
                    opacity: 1;
                }

                &:last-child {
                    border-right: 0;
                }

                & .shiftAvatar {
                    height: 20px;
                    width: 20px;
                }
            }

            &.yourShiftActive {
              background-color: $lightBlueColor;
              border: 1px solid $primaryColor;
              
              & .date {
                color: $primaryColor;
                opacity: 1;
              }

              & .dateShift {
                opacity: 1;
                border-left: 1px solid $primaryColor;
              }
            }

            &.targetShiftActive {
              background-color: $yellowColor;
              border: 1px solid $yellowText;
              & .date {
                color: $yellowText;
                opacity: 1;
                border-right: none;
              }

              & .dateShift {
                opacity: 1;
                border-right: 0;
                border-left: 1px solid $yellowText;
              }
            }
        }
    }
}

.shiftTooltip {
    width: 90%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 12px 25px 12px 15px;
    padding: 4px 16px 4px 4px;
    background-color: $lightBlueSecColor;
    border: 1px solid $lightBlueColor;
    border-radius: 0px 10px 10px 0px;
    color: $greyText;
    font-weight: 500;
    box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);

    & .verticalLine {
        width: 3px;
        height: 40px;
        margin-right: 15px;
    }

    & .shiftTime {
        display: flex;
        align-items: center;

        & .avatar {
            min-width: 50px;
            height: 50px;
            margin-right: 15px;
        }

        & .time {
          font-size: 10px;
          min-width: 165px;
          color: $greyColor;
          white-space: nowrap;
        }
    }

    & .shiftPopoverAvatar {
        width: 36px;
        height: 36px;
        margin-left: 5px;
        margin-right: 5px;
    }
}

.selectWrapper {
    display: inline-flex;
    justify-content: end;
    align-items: center;
    font-size: 14px;
}

.dropdown {
    margin-left: 50px;
    border: 1px solid #B3C1E3;
    cursor: pointer;
    margin-right: 5%;
    padding: 8px 10px 0;
    height: 39px;
    border-radius: 5px;
    font-size: 14px;
    color: $greyText;
}

.yourShiftContainer { 
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px 30px 5px 35px;
  background-color: $lightBlueColor;
  color: $primaryColor;
  font-size: 18px;



  &.shiftContainer {
    background-color: transparent;
    color: $blackColor;
    cursor: pointer;
  }

  &.targetShiftContainer {
    background-color: $yellowColor;
    color: $yellowText;

    & .yourShiftName, & .yourShiftDayWrapper {
        &::after {
          background: $yellowText;
        }
    }

    & .yourShitUser {
      &::before {
        background: $yellowText;
      }
    }
  }

  & .yourShiftName {
      display: flex;
      flex-wrap: nowrap;
      align-items: center;
      flex: 1;
  }

  & .yourShiftDayWrapper {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
    flex: 3;

    & .dayName {
      color: $greyText;
      @include font($fontGothamLight, 14px, 16.8px);
      
      &.activeDayName {
        color: $yellowText;
      }
    }
}

  & .yourShiftName {
    &::after {
      display: inline-block;
      content: "";
      width: 1px;
      height: 60px;
      background: $greyColor;
      margin-left: 20%;
    }
  }

  & .yourShitUser {
    display: flex;
    align-items: center;
    padding-left: 3%;
    flex: 5;

    &::before {
      display: inline-block;
      content: "";
      width: 1px;
      height: 60px;
      background: $greyColor;
      margin-right: 10%;
    }

    & .avatar {
        min-width: 50px;
        margin-right: 25px;
        height: 50px;
    }
  }
}

.shiftLine {
    max-height: 250px;
    overflow-y: scroll;
    margin-top: 10px;
}

.modalWrapper {
  position: relative;
  padding: 35px 50px;
  border: 1px solid $blueColor;
  border-radius: 20px;
  font-size: 16px;

  &.modalRejectWrapper {
    background-color: $redBackground;
    border: 1px solid $pinkColor;

    & .modalHeader {
      color: $errorColor;
      border-bottom: 1px solid $pinkColor;
    }

    & .close {
      border: 1px solid $pinkColor;
    }

    & .modalBody {
      border-bottom: 1px solid $pinkColor;
    }
  }

  & .modalHeader {
    padding-bottom: 25px;
    text-align: center;
    color: $greenTextSecColor;
    border-bottom: 1px solid $blueColor;

    & .modalTitle {
      font-size: 24px;
    }
  }

  & .close {
    width: 28px;
    height: 28px; 
    position: absolute;
    padding-left: 4px;
    padding-top: 3px;
    right: 12px;
    top: 12px; 
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid $blueColor;
    border-radius: 50%;
    text-align: center;
    cursor: pointer;
    &:hover {
      opacity: 0.7;
    }
  }

  & .modalBody {
    padding: 25px 0;
    margin-bottom: 25px;
    border-bottom: 1px solid $blueColor;

    & .modalDate {
      display: flex;

      & div:last-child {
        margin-left: 15px;
        font-size: 14px;
        color: $greyText;
      }
    }

    & .shiftTooltip {
      margin-left: 0;
      margin-top: 0;
    }

    & .arrows {
      text-align: center;
      margin: 25px 0;
    }

    & .reasonWrapper {
      margin-top: 50px;

      & div:last-child {
        @include font($fontGothamLight, 14px, 18px);
      }
    }
  }

  & .buttonOk {
    text-align: center;
  }
}

.flipDown {
    transform: rotate(-90deg);
}

.selectedDay {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.userAvatar {
    min-width: 50px;
    height: 50px;
    margin-right: 15px;
}

.customToggle {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.fullDate {
    white-space: nowrap;
}

.time {
  color: $greyText;
  @include font($fontGothamLight, 14px, 16.8px);

  &.activeTime {
    color: $yellowText;
  }
}